AS(1)

NAME
as - Sequent assembler

SYNOPSIS
as [ -L ] [ -W ] [ -R ] [ -o objfile ] [ name ... ]

DESCRIPTION
As assembles the named files, or the standard input if no file name is specified. For the Balance series, as assembles National 32032 assembly language code; for the Symmetry series, as assembles Intel 80386 assembly language code. The available flags are:

-L  Save the compiler generated labels beginning with `L'. Normally, these labels are discarded to save space in the resultant symbol table.

-W  Do not complain about errors.

-R  Make initialized data segments read-only, by concatenating them to the text segments. This eliminates the need to run editor scripts on assembly code to make initialized data read-only and shared.

-o objfile
    Save the output of the assembly on the file objfile. If this flag is not used, the output of the assembly is left on the file a.out.

All undefined symbols in the assembly are treated as global.

FILES
/tmp/as*    default temporary files
a.out    default resultant object file

SEE ALSO
ld(1), nm(1), ddt(1) (Balance only), dbx(1), a.out(5),
Balance Assembler User's Manual
Symmetry Assembler User's Manual